/** @format */

:root {
  --normal-text: "Avenir", serif;
  --heading-text: Helvetica;
  --base-text: 16px;
}

* {
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
}
body {
  padding: 0;
  outline: none;
  outline: 0;
  margin: 0 auto;
  /* background-color: #e5e5e5; */
  font-family: "Avenir", serif;
  font-family: var(--normal-text), Avenir, serif;
  font-size: 16px;
  font-size: var(--base-text), 16px;
  font-weight: 400;
  line-height: 160%;
  /* position: relative; */
  overflow-x: hidden;
  overflow-y: auto;
  /* width: 100vw; */

  /* min-width: 396px; */
}

.container {
  background: linear-gradient(180deg, #f6fafd 0%, #ffffff 19.4%);

  width: 100%;
  padding-left: 14.1vw;
  padding-right: 14.1vw;
  position: relative;
}

/* BUTTONS */

.solid-btn {
  cursor: pointer;
  border-radius: 50px;
  padding: 1rem 2.25rem;
  font-family: var(--normal-text), Avenir, serif;
  border: none;
  font-weight: 800;
  font-size: 18px;
  /* identical to box height, or 29px */
  display: flex;
  align-items: center;
  text-align: center;

  color: #ffffff;
}

.purple-btn {
  background-color: #9c69e2;
}

.pink-btn {
  background-color: #f063b8;
}

.action-btn {
  border: none;
  background-color: #ffffff;
  box-shadow: 0px 5px 5px rgba(75, 93, 104, 0.1);
  border-radius: 50px;
  padding: 1rem 1.75rem;
  font-family: var(--normal-text), Avenir, serif;

  font-size: var(--base-text), 16px;
  font-weight: 800;
  color: #212353;
}

.action-btn:hover {
  animation: fade-shadow 1.5s ease-in-out;
  cursor: pointer;
}

@keyframes fade-shadow {
  0% {
    box-shadow: 0px 3px 10px 0px rgba(156, 105, 226, 0.4);
    opacity: 0;
  }

  60% {
    opacity: 0.5;
  }

  100% {
    opacity: 0;
  }
}

.btn-click-arrow {
  padding-left: 1.25rem;
  font-size: 1.5rem;
  color: #9c69e2;
}

/* MAIN CONTENT */

.hero {
  display: flex;
  flex-direction: row;
  align-items: center;
  min-height: 80vh;
  /* gap: 2rem; */
}

.hero .about-hero {
  width: 50%;
}

.hero .about-hero .headline {
  margin: 0;
  font-family: "Helvetica", sans-serif;
  font-family: var(--heading-text), "Helvetica", sans-serif;
  font-weight: 700;
  font-size: 80px;
  line-height: 110%;
  color: #212353;
}

.about-hero .hero-description {
  /* padding-right: 3.6rem; */
  width: 60%;
  padding-top: 3.1rem;
  padding-bottom: 3.1rem;
  font-family: "Avenir", serif;
  font-family: var(--normal-text), Avenir, serif;
  font-weight: 500;
  font-size: 18px;
  line-height: 160%;

  /* or 29px */

  /* 1 */
  color: #4b5d68;
}

.hero-btn {
}

.hero .illustration-wrap {
  width: 50%;
  align-self: flex-end;
  justify-self: baseline;
  margin-right: -7.2rem;
  /* margin-top: 2rem; */
}

.illustration-wrap .hero-illustration {
  text-align: center;
  /* width: 150%; */
  height: auto;
  margin-left: -25%;
  transition: ease 1s;
}

/* HELP SECTION */

.more-info {
  background: rgba(240, 99, 184, 0.15);
  border-radius: 50px;
  margin-top: 6.2rem;
  margin-bottom: 6.2rem;
  padding: 0.8rem;

  display: flex;
  flex-direction: row;
  align-items: center;
  flex-wrap: wrap;
}

.inner-illustration-wrap {
  width: 50%;
  flex-grow: 1;
}

.more-info-illustration {
  width: 100%;
}

.more-info-details {
  flex-grow: 1;
  width: 50%;
  padding: 3.75rem;
}

.sub-headline {
  font-family: "Helvetica", sans-serif;
  font-family: var(--heading-text), "Helvetica", sans-serif;
  font-weight: 700;
  font-size: 40px;
  line-height: 130%;
  color: #212353;
}

.more-info-description {
  font-family: "Avenir", serif;
  font-family: var(--normal-text), Avenir, serif;
  font-weight: 500;
  font-size: 18px;
  line-height: 160%;
  color: #4b5d68;
}

/* FEATURES SECTION */

.features {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: 0 auto;
  padding-top: 2rem;
  padding-bottom: 3.6rem;
}

.features .sub-headline {
  margin: 0;
  padding: 0;
  padding-top: 2rem;
}

.features .features-description {
  margin: 0;
  padding: 0;
  font-family: "Avenir", serif;
  font-family: var(--normal-text), Avenir, serif;
  font-weight: 500;
  font-size: 18px;
  line-height: 160%;
  text-align: center;
  color: #4b5d68;
  padding: 3.1rem;
  max-width: 44rem;
}

.features .features-grid {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  align-items: center;
  justify-content: space-between;
  margin: 0 auto;
  margin-left: 5%;
  width: 100%;

  transition: all ease-in-out 1s;
}

.features-grid .feature-card {
  margin: 0 auto;
  width: 45%;
  flex-grow: 1;
  /* text-align: center; */

  display: inline-flex;
  flex-direction: row;
  position: relative;
  padding: 3rem 0;

  justify-content: center;
  /* align-items: center; */
  min-height: 360px;
}

.feature-card.first-feature,
.feature-card.third-feature {
  /* padding-right: 0; */
}

.feature-card.second-feature,
.feature-card.fourth-feature {
  /* padding-right: 0; */
  width: 50%;
  margin-right: -7%;
}

.feature-card .feature-illustration-wrap {
  display: flex;
  flex-direction: column;
  justify-content: center;
  text-align: center;
  height: 260px;
  z-index: 5;
  position: absolute;

  top: 25%;
  left: -5%;

  transition: width 1s;
}

.feature-card.second-feature .feature-illustration-wrap,
.feature-card.fourth-feature .feature-illustration-wrap {
  left: -1%;
}

.feature-card .feature-info {
  /* background-color: #dee0f3;
	border-radius: 50px;
	clip-path: polygon(15% 0, 100% 0, 100% 100%, 0 100%); */
  background-repeat: no-repeat;
  background-size: 410px auto;
  height: 360px;
  max-height: 400px;
  padding: 3rem 3.8rem 2rem 8.4rem;
  display: inline-flex;
  flex-direction: column;
  justify-content: space-around;
  /* width: 50%; */
  position: relative;
}

.feature-info.feat-one {
  background-image: url("../img/clip-paths/one.png");
}

.bean-1 {
  z-index: 1;
  position: absolute;
  top: 30px;
  right: 40px;
}

.circle-1 {
  z-index: 2;
  position: absolute;
  top: 75px;
  right: 120px;
}

.bean-2 {
  z-index: 1;
  position: absolute;
  bottom: 40px;
  right: 24px;
}

.circle-3 {
  z-index: 1;
  position: absolute;
  top: 20px;
  right: 40px;
}

.bean-4 {
  z-index: 1;
  position: absolute;
  top: 20px;
  left: 36px;
}

.circle-4 {
  z-index: 1;
  position: absolute;
  bottom: 40px;
  right: 40px;
}

.feature-info.feat-two {
  background-image: url("../img/clip-paths/two.png");
}

.feature-info.feat-three {
  background-image: url("../img/clip-paths/three.png");
}

.feature-info.feat-four {
  background-image: url("../img/clip-paths/four.png");
}

.feature-info .sub-sub-headline {
  margin: 0;
  font-family: "Helvetica", sans-serif;
  font-family: var(--heading-text), "Helvetica", sans-serif;
  font-weight: 400;
  font-size: 24px;
  line-height: 130%;
  color: #212353;
  z-index: 5;
}

.feature-info .feature-description {
  z-index: 5;
  margin: 0;
  max-width: 220px;
  /* padding: 2.4rem 0; */

  font-family: "Avenir", serif;
  font-family: var(--normal-text), "Avenir", serif;
  font-weight: 400;
  font-size: var(--base-text), 16px;
  line-height: 160%;
  color: #4b5d68;
}

.feature-link {
  z-index: 5;
  /* position: absolute;
	bottom: 2rem; */
  text-decoration: none;
  cursor: pointer;

  font-family: var(--normal-text), Avenir, serif;
  font-size: var(--base-text), 16px;
  font-weight: 800;
  color: #212353;

  display: flex;
  flex-direction: row;
  justify-content: flex-start;
}

.feature-info .feature-link:hover {
  animation: action 1s linear infinite;
}

@keyframes action {
  75% {
    color: #9c69e2;
  }
}

/* TESTIMONIAL SECTION  */

.testimonial {
  background-color: #9c69e2;
  border-radius: 50px;
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  padding: 3rem;
  padding: 6rem 6rem 3.6rem 6rem;
  width: 100%;
  margin-top: 2rem;
  margin-bottom: 9.6rem;

  /*overflow-y: hidden; */
  /* white-space: nowrap; */
}

.testimonial .sub-headline {
  color: #ffffff;
  margin: 0;
  padding-bottom: 5.5rem;
  overflow: hidden;
  width: 100%;
  height: 100%;
}

.testimonial .carousel {
  display: flex;
  flex-direction: row;
  width: fit-content;
  /* overflow: scroll; */
  overflow-y: scroll;
}
.testimonials-slider::-webkit-scrollbar {
  display: none;
  scrollbar-track-color: transparent;
}
.testimonials-slider {
  -ms-overflow-style: none;
  scrollbar-width: none;
}
.testimonials-slider {
  width: fit-content;
  overflow-x: auto;
  /* scrollbar-color: #9c69e2; */
  height: auto;
}

.testimonials-slider .testimonial-card {
  display: inline-block;
  width: 75vw;
  width: 645px;
  height: 330px;
  display: inline-flex;
  flex-direction: row;
  justify-content: space-around;
  align-items: flex-start;
  padding: 3.6rem 4.4rem;
  /* z-index: 15; */
  background-color: #ffffff;
  box-shadow: 0px 20px 0px #8a56da;
  border: 1px solid #9c69e2;
  box-sizing: border-box;
  border-radius: 20px;
  margin-right: 1.2rem;
  margin-bottom: 3.6rem;
  overflow: hidden;
  text-overflow: ellipsis;
}

.testimonial-card.card-visible {
  display: flex;
  animation: fade 0.5s;
}

@keyframes fade {
  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
    transform: opacity linear;
  }
}

.testimonial-card.card-hidden {
  width: 330px;
  border-radius: 20px;
  box-shadow: 0px 20px 0px rgba(151, 99, 224, 0.4);
  border: 1px solid #9c69e2;
  padding-left: 2.4rem;
  padding-right: 2.4rem;
  padding-bottom: 3rem;
  /* position: absolute; */

  /* background: linear-gradient(90deg, #ffffff 40%, rgb(255, 255, 255) 100%);
	 */
  background-color: linear-gradient(
    270deg,
    #ffffff 9.75%,
    rgba(255, 255, 255, 0) 100%
  );
  /* opacity: 0.95; */
}

/* .testimonial-card.card-hidden:first-child.first-card {
	right: -2.5%;
}

.testimonial-card.card-hidden:first-child.second-card {
	right: 19%;
}

.testimonial-card.card-hidden:first-child.third-card {
	right: 19%;
}

.testimonial-card.card-hidden:last-child.first-card {
	right: -2.5%;
}

.testimonial-card.card-hidden:nth-child(2n).second-card {
	right: 19%;
}

.testimonial-card.card-hidden:last-child.third-card {
	right: -2.5%;
} */

/* .testimonial-card:hover,
.testimonial-card.card-visible:hover,
.testimonial-card.card-hidden:hover {
	transform: translateX(10px);
	opacity: 1;
	width: 645px;
	background-color: #ffffff;
} */

.testimonial-card.card-hidden .user-profile .user-testimonial {
  color: #a7b0b5;
}

.testimonial-card .user-profile {
  display: flex;
  flex-direction: column;

  padding-left: 2rem;
}

.user-profile .user-info .user-name {
  font-family: "Avenir";
  font-style: normal;
  font-weight: 900;
  font-size: 18px;
  line-height: 160%;
  display: flex;
  align-items: center;
  letter-spacing: 0.005em;
  color: #212353;
}

.user-info .user-job-title {
  font-family: "Avenir";
  font-style: normal;
  font-weight: 500;
  font-size: 14px;
  line-height: 160%;
  display: flex;
  align-items: center;
  letter-spacing: 0.01em;
  color: #9c69e2;
}

.user-profile .user-testimonial {
  font-family: "Avenir";
  font-style: normal;
  font-weight: 400;
  font-size: 18px;
  line-height: 180%;
  color: #4b5d68;
  /* text-overflow: ellipsis; */
}

.testimonial .testimonials-slider-controls {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

.testimonials-slider-controls .carousel-buttons {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  width: 30px;
}
.carousel-buttons .testimonial-dots-indicator {
  cursor: pointer;
  height: 5px;
  width: 5px;
  border-radius: 50%;
  background-color: #ffffff;
  transition: background-color 0.6s ease;
}

.testimonial-dots-indicator:hover,
.testimonial-dots-indicator.selected-testimonial {
  background-color: #f063b8;
  width: 10px;
  height: 10px;
}

.testimonials-slider-controls .slider-arrow-controls {
  width: 50px;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

.slider-arrow-controls .next-slide-control,
.slider-arrow-controls .previous-slide-control {
  border: none;
  background-color: transparent;
  user-select: none;
  font-size: 18px;
  color: #ffffff;
  opacity: 0.5;
  cursor: pointer;
  transition: 0.6s ease;
}

.slider-arrow-controls .next-slide-control:hover,
.slider-arrow-controls .previous-slide-control:hover {
  opacity: 1;
  font-size: 24px;
}

/* FOOTER SECTION */

.horizontal-rule {
  height: 2px;
  width: 100vw;
  background-color: #9c69e2;
  margin: 2rem 0;
  opacity: 0.2;
}

.footer {
  width: 100vw;
  min-height: 100vh;
  padding-left: 14.1vw;
  padding-right: 14.1vw;
  position: relative;
  background-color: #ffffff;
}

.trial-section {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  padding: 6.2rem 0;
  justify-content: space-between;
  align-items: unset;
}

.trial-section .trial-catch-phrase {
  font-family: "Avenir", serif;
  font-family: var(--normal-text), "Avenir", serif;
  font-weight: 500;
  font-size: 18px;
  line-height: 160%;
  color: #4b5d68;
}

.trial-section .trial-action-buttons {
  display: inline-flex;
  flex-direction: row;
  align-items: center;
}

.trial-action-buttons .solid-btn {
  margin-right: 2rem;
}

/* FOOTER NAVIGATION  */

.footer-nav {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: space-between;
}

.footer-nav .company-address {
  padding-right: 2rem;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
}

.company-address .company .logo {
  padding-right: 1rem;
}
.company .company-name {
  font-family: "Avenir", serif;
  font-family: var(--normal-text), "Avenir", serif;
  font-weight: 900;
  font-size: 20px;
  line-height: 160%;
  color: #212353;
}

.company-address .company-location {
  font-family: "Avenir";
  font-weight: 500;
  font-size: 16px;
  line-height: 180%;
  letter-spacing: 0.01em;
  color: #212353;
}

.company-address .company-contact {
  font-family: "Avenir";
  font-weight: 400;
  font-size: 16px;
  line-height: 180%;
  letter-spacing: 0.01em;
  color: #212353;
}

.footer-nav .footer-menu {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: baseline;
}

.nav-col .nav-heading {
  font-weight: 900;
  font-family: "Avenir";
  font-weight: 900;
  font-size: 16px;
  line-height: 160%;

  /* or 26px */

  /* 2 */
  color: #212353;
}

.footer-nav .nav-col .sub-menu {
  list-style-type: none;
  padding-left: 0;
}

.sub-menu .sub-menu-item {
  padding-right: 3rem;
}

.sub-menu-item .sub-menu-item-link {
  text-decoration: none;
  cursor: pointer;
  font-family: "Avenir";
  font-weight: 400;
  font-size: 16px;
  line-height: 250%;
  color: #212353;
}

.nav-col.social-media .social-media-icons {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  align-items: flex-start;
}

.social-media-icons .social-media-icon {
  width: 50px;
  height: 50px;
  border-radius: 50%;
  background-color: #212353;
  opacity: 0.1;
  margin-right: 0.96rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.social-media-icon .social-media-links {
  cursor: pointer;
  font-size: 1.2rem;
  color: #ffffff;
  text-align: center;
}

.footer .bottom-wrap {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: space-between;
  padding: 6rem 0;
}

.bottom-wrap .copyright {
  font-family: "Avenir";
  font-style: normal;
  font-weight: 400;
  font-size: 12px;
  line-height: 180%;
  letter-spacing: 0.01em;
  color: #212353;
}

.chat-help {
  z-index: 10;
  position: absolute;
  bottom: 6rem;
  right: 12%;
  background-color: #ebe1f9;
  width: 60px;
  height: 60px;
  border-radius: 50%;
  display: inline-flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.chat-help .chat-help-link {
  cursor: pointer;
  color: #9c69e2;
  text-align: center;
  height: 29px;
}
